View Issue Details

IDProjectCategoryView StatusLast Update
0001150SpeedFanHardware supportpublic2009-08-22 17:42
ReporteralfredoAssigned Toalfredo 
PrioritynormalSeverityfeatureReproducibilityalways
Status acknowledgedResolutionopen 
Product Version4.34 
Target VersionFixed in Version 
Summary0001150: The quest for the best (Intel Tjmax setting)
DescriptionWith SpeedFan 4.34 I started to set Tjmax to the value that the community accepted to be the best choice. Today I'm receiving a lot of requests to change Tjmax. I'm ready to do that, but I need a request that is a little bit more general than the one that I usually receive.
A good request would be like: "Please, set Tjmax to 95C for CPUs whose CPUID is 10676h" or "Please, set Tjmax to 100C for CPUs whose stepping is M0 and whose technology is 45 nm". The "please" is the constant :-), the rest is up to you. You can post links to pages that support your assumption.
In the ADDITIONAL INFORMATION section I will release to the public the current algo used by SpeedFan to define Tjmax.
Additional InformationSuggested selection of Tjmax value in next beta:

if bit 30 of MSR(0x00EE) is 1 then
  Tjmax=85
else
  Tjmax=100
endif
if CPUID=0x06F2 then Tjmax=100
if CPUID=0x06FB then Tjmax=100
if CPUID=0x10676 then Tjmax=Tjmax+5
TagsNo tags attached.
Motherboard Model
Video Card Model

Relationships

has duplicate 0000804 closedalfredo Intel Quad Core QX6700 core temperatures under reporting by 15C 
has duplicate 0000664 closedalfredo Intel Core Duo internal temperature readings using DTS 
has duplicate 0001307 closedalfredo Adjustments to TJmax - post Intel Releases DTS Specs For All Core 2 

Activities

alfredo

2008-05-22 10:18

manager   ~0003666

Last edited: 2008-05-22 10:19

Ok, the first note will be mine. I think I will add the following change:
if the cpu uses 45 nm technology, Tjmax will be either 105 or 90, depending on MSR 0x00EE.
This means that I'm going to add a check on CPUID=0x1067y.

scyphe

2008-05-23 20:11

reporter   ~0003671

The Tjmax for my E8200 Wolfdale 45nm C2D is 95 (according to RealTemp). I have no idea how to find the CPUID for my CPU though. The stepping is C0.

alfredo

2008-05-23 22:08

manager   ~0003672

That's in line with my assumption. Thank you.

xafier

2008-05-26 20:38

reporter   ~0003675

Last edited: 2008-05-26 20:38

I believe that the 45nm Core 2 Duo's are 95 and the quads are 105.

I can't remember where I read that though, but with the current version of speedfan I need to adjust the temps by -5 to match RealTemp which is using 95 as Tjmax for my E8200.

El_PResidente

2008-05-28 13:04

reporter   ~0003677

Last edited: 2008-06-02 00:02

Please, set Tjmax to 100C for CPUs whose CPUID is 06FDh.
(E4400 SLA98 Stepping M0)
I know that 100C is the correct setting for this processor.
For 06F2h it has to be 85C.

norman02us

2008-06-02 12:39

reporter   ~0003686

@El_PResidente
May I ask you how you know that it's 100

BlindWanderer

2008-06-12 04:45

reporter   ~0003702

Last edited: 2008-06-12 04:47

From practical experience the temp you do damage to nVidia GeForce 7900 GT is about 95c to 100c. Just for buffer I would say you don't want it over 90c.

pluto01

2008-06-12 16:18

reporter   ~0003703

I'd like to request 95C as well for the E8400. This is CPUID 10676h with C0 stepping and 45nm.

Please :)

alfredo

2008-06-17 12:03

manager   ~0003717

@El_PResidente
Could you post here some references about your statements, please?

@xafier
@pluto01
I think that Intel stated that Tjmax should be set to either 105 or 90 for 45nm CPUs. I just added a check on CPUID=0x10676 to achieve this.

norman02us

2008-06-17 13:13

reporter   ~0003718

Last edited: 2008-06-17 13:14

The only information I could ever find on the Tj max is from mobile CPUs. As far as I checked all 65nm mobile Core CPUs have a Tjmax of 100

alfredo

2008-06-17 13:39

manager   ~0003719

@norman02us
Do you mean that my proposed algo is wrong?

norman02us

2008-06-17 13:49

reporter   ~0003720

Last edited: 2008-06-17 14:19

It depends. I think your referring to your first post. I believe that it doesn't make any sense that very similar CPUs have a different Tjmax. I don't know which models have what value on MSR 0x00EE. Therefore I'm not sure whether your algo might be wrong.
I'm still investigating the matter and trying to relate the Intel docs.

One interesting fact is that the Thermal Specification for 45nm CPUs is approximately 10

ElGuillermo971

2008-06-19 07:37

reporter   ~0003737

Last edited: 2008-06-19 17:11

Hi all !

I've read a lot a forum's threads about Tjmax, trying to find out what's the good value to use for my Q9450 (Yorkfield, 0.45). It seems that nobody can answer this question for sure, but everybody seems to agree about 95 or 105. 95 is the same value that is used in RealTemp, but 105 matches the BIOS readings on my Asus Striker II Extreme motherboard.

Some Intel references can be found in the first post of this thread :
http://www.hardforum.com/showthread.php?t=1312979

Some other point of view relative to correct CPU temp reading :
http://www.ocforums.com/showpost.php?p=5315232&postcount=23

norman02us

2008-06-19 09:41

reporter   ~0003739

Just took another look at the Intel documents and they clearly state that for Q9x00 and QX9650 THERMTRIP is also 20

alfredo

2008-06-19 10:25

manager   ~0003740

@norman02us
I think that CPUID=0x10676 includes those quad cores and that the corresponding Tjmax=Tjmax+5 leads to Tjmax=105.
Thank you for your help.

norman02us

2008-06-19 13:20

reporter   ~0003741

I think you should also include CPUID 10677 (C1 Stepping) for Tjmax=105

pluto01

2008-06-19 16:34

reporter   ~0003743

@alfredo
@norman02us

Tjmax is not a published spec for anything but mobile processors. There is no reason to assume that mobile temp data would apply to desktop flavors as well.

The RealTemp author has done a significant amount of testing and research to confirm his Tjmax values. On my system, RealTemp uses 95C for my E8400 and this agrees with the ASUS utility. The limited testing I've done with an external thermal probe has confirmed that to be accurate as well.

If you haven't already, I'd suggest reading the 'The Problem' and 'Testing' sections of the following page. They contain a lot of interesting info.

http://www.techpowerup.com/realtemp/docs.php

alfredo

2008-06-19 17:00

manager   ~0003744

@pluto01
Thank you for your notes. I would like to point out that I was told that Intel released an internal statement about how to set Tjmax for some CPUs.

norman02us

2008-06-19 17:47

reporter   ~0003745

Last edited: 2008-06-19 17:49

@pluto1
I don't see any reasons why it would be wrong to assume the same Tjmax for mobile and desktop processors. Maybe you can can tell me why you believe this assumption to be wrong.

Secondly, I don't think it's possible to test for Tjmax with a thermal probe. The core temperatures are the worst values from several sensors, and since there is an IHS on top of everything, I cannot imagine how to test for Tjmax.

alfredo

2008-06-21 01:11

manager   ~0003761

@pluto01
Inside the CPU core there is a point where the thermal sensor is located. It would make sense to assume that the sensor is located near the hottest place inside the core. When that point gets hotter, the rest of the CPU might even not change its temperature if not within a certain amount of time. I agree with norman02us. The ways we use to measure core temperatures are likely to be an averaged value, not to mention the fact that the IHS has a larger surface than the core. It's like a glass bottle full of water. If we put a thermal sensor at the bottom of the bottle and we put one ice cube inside the water, the thermal sensor will hardly detect any temperature change.
The only way I can imagine to measure the temperature inside the core would be to load the CPU at 100% for a lot of time in a room where there is no heat exchange with the outside world... This reminds me of the first years at the university :-)

norman02us

2008-06-21 02:56

reporter   ~0003763

Last edited: 2008-06-21 03:02

Looking at the thermal specifications of the mobile Core CPUs I noticed that all 65nm CPUs have a Tjmax of 100

alfredo

2008-06-21 09:42

manager   ~0003768

@norman02us
I should check the datasheets, but I wonder if desktop and mobile CPUs are using the same voltages.

norman02us

2008-06-21 11:30

reporter   ~0003769

Even if they didn't it would still make sense.

Mobile CPUs have very limited cooling available in a Notebook. Therefore, they should run at lower voltages (lower speeds) because less voltage or a lower frequency would be necessary to heat up the CPU to the same temperature.

donpipo

2008-07-16 17:45

reporter   ~0003842

alfredo wrote: "if CPUID=0x06F2 then Tjmax=100"
El_PResidente wrote: "For 06F2h it has to be 85C"
alfredo wrote: "@El_PResidente
Could you post here some references about your statements, please?"

@alfredo
Could you post here some references about your statements, please?
El_PResidente didn't, neither nobody claiming the opposite.
I personally agree with him, at least for the processor I own (E4300 L2).

For reference: http://www.xtremesystems.org/forums/showpost.php?p=2880018&postcount=562

El_PResidente

2008-07-16 20:13

reporter   ~0003843

Thats it! Thank you donpipo. That's the reference i tried to find again. I know that i read about it and that it was the best desription for me so far. Sorry that i didn't post it, but i did not remember where i have read that.

Hofman

2008-08-22 01:10

reporter   ~0004042

Last edited: 2008-08-22 01:26

I just wanted to inform you, that intel has released the specification of the DTS of the 45nm cores at the IDF today.

http://www.anandtech.com/weblog/showpost.aspx?i=478

you can get the pdf from
https://intel.wingateweb.com/US08/scheduler/catalog/catalog.jsp
TMTS001

direct link:
http://intel.wingateweb.com/US08/published/sessions/TMTS001/SF08_TMTS001_100r.pdf

copied from the presentation:
45nm Desktop Dual-Core ProcessorsTJ

alfredo

2008-08-22 01:28

manager   ~0004043

Thank you Hofman. It's very late in the night here in Italy. I downloaded the presentation and I'm going to read it in a few hours.

EHD80

2008-08-27 11:54

reporter   ~0004060

I am using a E8500 (stepping 6, revision c0, CPUID 0x10676) and I think TJmax is set to 105C instead of the 100C as specified by Intel. I used both SF 4.35 and 4.36b8, and compared the core temperatures with RealTemp 2.70 and CoreTemp 0.99.3 (both TJmax set to 100C). SF core temps are about 5C higher.

Wouldn't it be a nice extra feature if the user could set the TJmax manually?

norman02us

2008-08-27 12:04

reporter   ~0004061

Speedfan can display either the negative PECI value (difference to Tjmax) or an (assumed) absolute temperature. If you want to change that temp, simply adjust the "Offset" for that sensor.
I don't see a reason why Tjmax should be configurable because if somebody has a reasonable idea why Tjmax should be different, just tell Alfredo, and he will change it (if it makes sense).

EHD80

2008-08-27 12:12

reporter   ~0004062

Thanks! I am not an experienced user and didn't know about the offsets etc. I've just configured SF to show the relative core temps and now all data is consistent.

alfredo

2008-08-27 12:27

manager   ~0004063

Hello folks,
I just released SpeedFan 4.36 beta, which includes very interesting new features. While I monitor if those features work well, I will change Tjmax according to Intel (just released) specifications. Interestingly enough, SpeedFan 4.33 was almost right on spot, but subsequent requests and assumptions forced me to implement the wrong Tjmax for some CPUs. I'm really happy to see that those days are gone now :-)

alfredo

2009-08-22 17:42

manager   ~0004959

The latest SpeedFan 4.40 beta 3 (available online) includes all of the data available from http://intel.wingateweb.com/taiwan08/published/sessions/TPWS002/FA08%20IDF-Taipei_TPWS002_Nov_1006.pdf .
Please, run the beta against your Intel CPU and use the SEND REPORT (INFO tab) facility.
Thank you.

Issue History

Date Modified Username Field Change
2008-05-21 20:01 alfredo New Issue
2008-05-21 20:01 alfredo Status new => assigned
2008-05-21 20:01 alfredo Assigned To => alfredo
2008-05-21 20:01 alfredo Status assigned => acknowledged
2008-05-22 10:18 alfredo Note Added: 0003666
2008-05-22 10:19 alfredo Note Edited: 0003666
2008-05-23 20:12 scyphe Note Added: 0003671
2008-05-23 22:08 alfredo Note Added: 0003672
2008-05-26 20:38 xafier Note Added: 0003675
2008-05-26 20:38 xafier Note Edited: 0003675
2008-05-28 13:04 El_PResidente Note Added: 0003677
2008-06-02 00:02 El_PResidente Note Edited: 0003677
2008-06-02 12:39 norman02us Note Added: 0003686
2008-06-12 04:45 BlindWanderer Note Added: 0003702
2008-06-12 04:47 BlindWanderer Note Edited: 0003702
2008-06-12 16:18 pluto01 Note Added: 0003703
2008-06-17 12:03 alfredo Note Added: 0003717
2008-06-17 12:03 alfredo Additional Information Updated
2008-06-17 13:13 norman02us Note Added: 0003718
2008-06-17 13:14 norman02us Note Edited: 0003718
2008-06-17 13:14 norman02us Note Edited: 0003718
2008-06-17 13:39 alfredo Note Added: 0003719
2008-06-17 13:49 norman02us Note Added: 0003720
2008-06-17 14:18 norman02us Note Edited: 0003720
2008-06-17 14:19 norman02us Note Edited: 0003720
2008-06-19 07:37 ElGuillermo971 Note Added: 0003737
2008-06-19 09:41 norman02us Note Added: 0003739
2008-06-19 10:25 alfredo Note Added: 0003740
2008-06-19 13:21 norman02us Note Added: 0003741
2008-06-19 14:59 ElGuillermo971 Note Edited: 0003737
2008-06-19 15:00 ElGuillermo971 Note Edited: 0003737
2008-06-19 16:34 pluto01 Note Added: 0003743
2008-06-19 17:00 alfredo Note Added: 0003744
2008-06-19 17:11 ElGuillermo971 Note Edited: 0003737
2008-06-19 17:47 norman02us Note Added: 0003745
2008-06-19 17:48 norman02us Note Edited: 0003745
2008-06-19 17:49 norman02us Note Edited: 0003745
2008-06-21 01:11 alfredo Note Added: 0003761
2008-06-21 02:56 norman02us Note Added: 0003763
2008-06-21 02:57 norman02us Note Edited: 0003763
2008-06-21 02:57 norman02us Note Edited: 0003763
2008-06-21 03:02 norman02us Note Edited: 0003763
2008-06-21 09:42 alfredo Note Added: 0003768
2008-06-21 11:30 norman02us Note Added: 0003769
2008-07-16 17:45 donpipo Note Added: 0003842
2008-07-16 20:13 El_PResidente Note Added: 0003843
2008-08-22 01:10 Hofman Note Added: 0004042
2008-08-22 01:24 alfredo Relationship added has duplicate 0000804
2008-08-22 01:25 alfredo Relationship added has duplicate 0000664
2008-08-22 01:26 Hofman Note Edited: 0004042
2008-08-22 01:28 alfredo Note Added: 0004043
2008-08-27 11:54 EHD80 Note Added: 0004060
2008-08-27 12:04 norman02us Note Added: 0004061
2008-08-27 12:12 EHD80 Note Added: 0004062
2008-08-27 12:27 alfredo Note Added: 0004063
2009-08-22 17:38 alfredo Relationship added has duplicate 0001307
2009-08-22 17:42 alfredo Note Added: 0004959